aboutsummaryrefslogtreecommitdiffstats
path: root/tools/dicttool/tests
diff options
context:
space:
mode:
authorKen Wakasa <kwakasa@google.com>2012-11-29 19:09:01 +0900
committerKen Wakasa <kwakasa@google.com>2012-11-29 19:09:01 +0900
commit02996dc56a6088d2ef594d36a769d1d3d97e2778 (patch)
treee0cedf3d1a83a9469aa16adcf444591a7df239cb /tools/dicttool/tests
parente14df775d454cb96b751cf7668df71ce5873930d (diff)
downloadlatinime-02996dc56a6088d2ef594d36a769d1d3d97e2778.tar.gz
latinime-02996dc56a6088d2ef594d36a769d1d3d97e2778.tar.xz
latinime-02996dc56a6088d2ef594d36a769d1d3d97e2778.zip
Clean up dependency for dicttool
bug: 7635215 Change-Id: Ie50297ab592261390885c593341b6c46161b2e63
Diffstat (limited to 'tools/dicttool/tests')
-rwxr-xr-xtools/dicttool/tests/etc/test-dicttool.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/dicttool/tests/etc/test-dicttool.sh b/tools/dicttool/tests/etc/test-dicttool.sh
index 0f3ed6d62..092120769 100755
--- a/tools/dicttool/tests/etc/test-dicttool.sh
+++ b/tools/dicttool/tests/etc/test-dicttool.sh
@@ -13,5 +13,16 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+if [[ $(type -t mmm) != function ]]; then
+echo "Usage:" 1>&2
+echo " source $0" 1>&2
+echo " or" 1>&2
+echo " . $0" 1>&2
+exit 1
+fi
+
+find out -name "dicttool_aosp*" -exec rm -rf {} \; > /dev/null 2>&1
+mmm -j8 external/junit
+DICTTOOL_UNITTEST=true mmm -j8 packages/inputmethods/LatinIME/tools/dicttool
java -classpath ${ANDROID_HOST_OUT}/framework/junit.jar:${ANDROID_HOST_OUT}/framework/dicttool_aosp.jar junit.textui.TestRunner com.android.inputmethod.latin.makedict.BinaryDictInputOutputTest
java -classpath ${ANDROID_HOST_OUT}/framework/junit.jar:${ANDROID_HOST_OUT}/framework/dicttool_aosp.jar junit.textui.TestRunner com.android.inputmethod.latin.dicttool.BinaryDictOffdeviceUtilsTests